# Returns bank statements for a given company. All statements are given in aggregated form, to get detailed transactions use the transactions link Endpoint: GET /api/v3/statements/{companyId} Version: v3 Security: client_credentials, implicit, client_credentials_dev, implicit_dev ## Path parameters: - `companyId` (string, required) ## Query parameters: - `accountNo` (string) Optional filtering on account number - `fromDate` (string) Timeframe limitation, must be provided together with toDate - `toDate` (string) Timeframe limitation, must be provided together with fromDate - `state` (integer) Optional filtering on transaction state, state can be used to avoid downloading statements twice, use state link (PUT) to set state Enum: 0, 1, 2 ## Response 200 fields (text/plain): - `statements` (array,null) - `statements.statementId` (string,null) - `statements.name` (string,null) Owner of the account - `statements.accountNumber` (string, required) Account - `statements.accountCurrency` (string, required) Account currency code - `statements.archiveReference` (string, required) Bank reference - `statements.bankInformation` (string,null) Bank information - `statements.structuredReference` (string,null) KID, FIC, OCR (SCOR reference) - `statements.amount` (number, required) Payment amount or fee amount - `statements.amountCurrency` (string,null) Currency of amount - `statements.description` (string,null) Unstructured reference (payment message) - `statements.bookingDate` (string, required) Processed date - `statements.valueDate` (string, required) Exchange date - `statements.bankTransactionCodes` (string,null) Bank Transaction Codes Domain, Family and Sub-Familiy, dash separated. - `statements.entryReference` (string,null) This is a reference set on the statement entry level - `statements.transactionCount` (integer) Number of transactions associated with this statement - `statements.links` (array,null) - `statements.links.rel` (string,null) - `statements.links.method` (string,null) - `statements.links.href` (string,null) ## Response 401 fields (text/plain): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null) ## Response 404 fields (text/plain): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)